/**
 * Calculates the Basal Metabolic Rate (BMR) using the Mifflin-St Jeor Equation.
 * @param weight - The weight of the person in kilograms.
 * @param height - The height of the person in centimeters.
 * @param age - The age of the person in years.
 * @param gender - The gender of the person ("male" or "female").
 * @returns The BMR value in calories per day.
 * @throws Error if any parameter is invalid.
 */
export declare function calculateBMR(weight: number, height: number, age: number, gender: "male" | "female"): number;
