/**
 * Calculates the macronutrient distribution based on TDEE and macronutrient ratio.
 * @param tdee - Total Daily Energy Expenditure in calories.
 * @param goal - The fitness goal ("balanced", "low_carb", "high_carb", "ketogenic").
 * @returns An object containing the grams of protein, fat, and carbs.
 * @throws Error if the TDEE or goal is invalid.
 */
export declare function calculateMacros(tdee: number, goal: "balanced" | "low_carb" | "high_carb" | "ketogenic"): {
    protein: number;
    fat: number;
    carbs: number;
};
