/**
 * Calculates the monthly business loan payment.
 * @param principal - The loan principal amount.
 * @param annualRate - The annual interest rate (in percentage).
 * @param loanTermYears - The loan term in years.
 * @returns The monthly business loan payment.
 * @throws Error if any parameter is invalid.
 */
export declare function calculateBusinessLoanMonthlyPayment(principal: number, annualRate: number, loanTermYears: number): number;
/**
 * Calculates the total payment and total interest over the life of the business loan.
 * @param principal - The loan principal amount.
 * @param annualRate - The annual interest rate (in percentage).
 * @param loanTermYears - The loan term in years.
 * @returns An object containing the total payment and total interest.
 * @throws Error if any parameter is invalid.
 */
export declare function calculateBusinessLoanDetails(principal: number, annualRate: number, loanTermYears: number): {
    totalPayment: number;
    totalInterest: number;
};
