/**
 * Calculates the total interest paid on a loan.
 * @param principal - The principal amount of the loan.
 * @param rate - The annual interest rate (in percentage).
 * @param term - The loan term in months.
 * @returns The total interest paid over the term of the loan.
 * @throws Error if any parameter is invalid.
 */
export declare function calculateTotalInterestPaid(principal: number, rate: number, term: number): number;
